// VIM_TEST_SETUP let g:java_highlight_functions = 'indent'


import java.lang.annotation.Target;

abstract class IndentMethodsTests
{ // DO NOT retab! THIS FILE; REMEMBER ABOUT testdir/ftplugin.
  protected IndentMethodsTests() { }

  record Τʬ<α>(α a) { }

  enum 𝓔
  {
        A("𝕬"), B("𝕭"), C("𝕮"), D("𝕯"),
        E("𝕰"), F("𝕱"), G("𝕲"), H("𝕳");
        final String 𝐬;
        private 𝓔(String 𝐬) { this.𝐬 = 𝐬; }
  }

  @Target(java.lang.annotation.ElementType.METHOD)
  @java.lang.annotation.Repeatable(Tɐggablɘs.class)
  @interface Tɐggablɘ
  {
        String[] value() default "";
  }

  @Target(java.lang.annotation.ElementType.METHOD)
  @interface Tɐggablɘs
  {
        Tɐggablɘ[] value();
  }

  interface Stylable<Α>
  {
        default void ascii$0_() { }
        default Α μʭʭ$0_() { return null; }
  }

  @Tɐggablɘ @Tɐggablɘ
  abstract void ascii$0_();

  @Tɐggablɘ @Tɐggablɘ
  abstract <α, β> Τʬ<α> μʭʭ$0_(β 𝛽);

  @Tɐggablɘ
  private native void ascii$1_();

  @Tɐggablɘ
  private native <α, β> Τʬ<α>[] μʭʭ$1_(
                        java.util.function.Function<β, Τʬ<α>[]> ƒ);

  static final native synchronized void ascii$98_();
  static final native synchronized <α, β> Τʬ<α>[][] μʭʭ$98_(
                        java.util.function.Function<β, Τʬ<α>[][]> ƒ);

  @SuppressWarnings("strictfp")
  protected static final synchronized strictfp void ascii$99_()
  { ascii$98_(); }

  @SuppressWarnings("strictfp")
  protected static final synchronized strictfp <α, β> Τʬ<α>[] μʭʭ$99_(
                        java.util.function.Function<β, Τʬ<α>[][]> ƒ)
  {
    return
        IndentMethodsTests.<α, β>μʭʭ$98_(ƒ)[0];
  }

  @Override @SuppressWarnings("cast")
  public String toString() { return (String) "IndentMethodsTests"; }
}
